#pragma once

// Base Class
#include "../Converter.h"

// Simox
#include <SimoxUtility/json.h>

namespace armarx::armem::server::ltm::converter::dict
{
    class JsonConverter;
    using JsonConverterPtr = std::shared_ptr<JsonConverter>;

    class JsonConverter : public DictConverter
    {
    public:
        JsonConverter() :
            DictConverter(ConverterType::Str, ".json")
        {}

        virtual std::vector<unsigned char> convert(const aron::data::DictPtr& data) override;
        virtual aron::data::DictPtr convert(const std::vector<unsigned char>& data) override;
    };
}
