#pragma once

#include <filesystem>

#include "Data.h"

namespace armarx::armem::server::ltm::disk
{
    class DiskMemoryItem
    {
    public:
        DiskMemoryItem() = default;
        DiskMemoryItem(const std::filesystem::path&);
        virtual ~DiskMemoryItem() = default;

        virtual void setPath(const std::string&);
        std::string getPath() const;

    protected:
        bool checkPath(const std::string&) const;
        virtual std::string getExpectedFolderName() const = 0;

    protected:
        std::string path;
    };
} // namespace armarx::armem::server::ltm::disk
