#pragma once

#include <string>
#include <vector>

#include <RobotAPI/libraries/aron/core/data/variant/container/Dict.h>
#include <RobotAPI/interface/skills/SkillProviderInterface.h>

namespace armarx
{
    namespace skills
    {
        struct SkillStatusUpdate
        {
            std::string                                         providerName;
            std::string                                         skillName;
            aron::data::DictPtr                                 usedParameterization;
            callback::dti::SkillProviderCallbackInterfacePrx    usedCallbackInterface;
            provider::dto::Execution::Status                    status;
            aron::data::DictPtr                                 data;

            provider::dto::SkillStatusUpdate toIce() const;
        };
    }
}
